Last Comment Bug 767836 - show custom newtab page in private browsing mode if configured
: show custom newtab page in private browsing mode if configured
Status: RESOLVED FIXED
[good first bug][mentor=ttaubert][lan...
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 16
Assigned To: Saurabh Anand [:sawrubh]
:
Mentors:
Depends on:
Blocks: 763468
  Show dependency treegraph
 
Reported: 2012-06-24 15:20 PDT by Tim Taubert [:ttaubert]
Modified: 2012-07-04 14:29 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1(Includes the test) (5.44 KB, patch)
2012-07-03 10:43 PDT, Saurabh Anand [:sawrubh]
no flags Details | Diff | Review
Patch v2 - Rebased Patch v1 (5.44 KB, patch)
2012-07-03 11:12 PDT, Saurabh Anand [:sawrubh]
ttaubert: review+
Details | Diff | Review
Patch v3 (5.44 KB, patch)
2012-07-03 14:09 PDT, Saurabh Anand [:sawrubh]
no flags Details | Diff | Review

Description Tim Taubert [:ttaubert] 2012-06-24 15:20:23 PDT
When implementing the solution for new tab in private browsing mode in bug 763468 (described in bug 762938 comment #13) we forgot to always show the custom new tab page if the user configured one.
Comment 1 Madhavan 2012-06-25 03:52:40 PDT
Hi, Can i get some help in getting this bug assigned to me?
Comment 2 Saurabh Anand [:sawrubh] 2012-06-25 04:30:36 PDT
Madhavan, Sorry but I had worked on the previous bug (See 763468) and have started working on this one. Can you please find some other bug ?

Thanks.
Comment 3 Saurabh Anand [:sawrubh] 2012-07-03 10:43:44 PDT
Created attachment 638797 [details] [diff] [review]
Patch v1(Includes the test)
Comment 4 Saurabh Anand [:sawrubh] 2012-07-03 11:12:02 PDT
Created attachment 638807 [details] [diff] [review]
Patch v2 - Rebased Patch v1
Comment 5 Tim Taubert [:ttaubert] 2012-07-03 11:59:09 PDT
Comment on attachment 638807 [details] [diff] [review]
Patch v2 - Rebased Patch v1

Review of attachment 638807 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks, Saurabh! r=me with the nit fixed. Please send it to try before we can land it.

::: browser/base/content/test/browser_bug767836.js
@@ +6,5 @@
> +const pb = Cc["@mozilla.org/privatebrowsing;1"].
> +           getService(Ci.nsIPrivateBrowsingService);
> +const PREF = "browser.newtab.url";
> +const newTabUrl = Services.prefs.getCharPref(PREF) || "about:blank";
> +const testURL = "http://example.com/";

Nit: these two consts should be upper case.
Comment 6 Saurabh Anand [:sawrubh] 2012-07-03 14:01:32 PDT
https://tbpl.mozilla.org/?tree=Try&rev=426994a259f5
Comment 7 Saurabh Anand [:sawrubh] 2012-07-03 14:09:11 PDT
Created attachment 638857 [details] [diff] [review]
Patch v3

Fixed nit.
Comment 8 Tim Taubert [:ttaubert] 2012-07-04 10:22:39 PDT
https://hg.mozilla.org/integration/fx-team/rev/09b9de5e8bb9
Comment 9 Tim Taubert [:ttaubert] 2012-07-04 14:29:21 PDT
https://hg.mozilla.org/mozilla-central/rev/09b9de5e8bb9

Note You need to log in before you can comment on or make changes to this bug.